Kodi Community Forum

Full Version: [depricated] old YouTube Plugin - XBMC 13.0 Frodo/Gotham only
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
If you're using something pre-dharma then ANY addon may not function completely, and certainly you don't have the Dharma repository addon, so thus don't get updates.

I presume you're on the Dharma beta's and thus have the dharma-pre repository. Your best option is to upgrade to 10.1

Your next best option is to grab the 10.1 repository (grab 10.1, extract + grab the addons/repository.xbmc.org folder) and overwrite your previous one. This may or may not work - I don't know what changed between whatever version you have and 10.1.

Cheers,
Jonathan
Thanks PantsOnFire and jmarshall!

First of all I got (months ago) my XBMC version from here.
http://www.sshcs.com/xbmc/
Being honest, since I'm not an insider of the prject it is not clear to me which are the differences between a version and another.
Moreover, where do I see which is my XBMC version please?

Anyway, updating the entire XBMC it is not a big problem to me.
I would like to preserve all my settings (I mean all the stuff I configured the first time I ran XBMC...languages, time, resolutions,...). Is there a way to do that?

If I won't have this opportunity, no problem. I will go for the update anyway.
Thanks for your support.

@ jmarshall
So your suggestion would be to:
1. Download the new XBMC (10.1)
2. Extract it
3. Grab the addons/repository.xbmc.org folder (*)
4. Overwrite the old one
5. See if it works

(*) Would you tell me the exact name of this folder? I don't rememeber to have seen a repository named one.
Snowball Wrote:Thanks PantsOnFire and jmarshall!

First of all I got (months ago) my XBMC version from here.
http://www.sshcs.com/xbmc/
Being honest, since I'm not an insider of the prject it is not clear to me which are the differences between a version and another.
Moreover, where do I see which is my XBMC version please?

Why are you running nightly builds then? If you're not interested in dealing with the problems nightly builds present then why not just use the official stable builds?

Quote:I would like to preserve all my settings (I mean all the stuff I configured the first time I ran XBMC...languages, time, resolutions,...). Is there a way to do that?

I can only speak from my own experience, but when i've updated xbmc on ubuntu or OSX i've never had a problem with loosing my settings, If i remember correctly theres are not stored in the application folder, but in the usual places applications store their settings. (ie. something like the paths listed on our trouble shooting page http://code.google.com/p/youtubexbmc/wik...oginIssues)
PantsOnFire Wrote:I don't like to be a stubborn so and so, but having to update your entire xbmc to get youtube working seems really silly.

It seems that a lot of users are running into problems with this so i will look into packaging a new zip version and putting it up on our site..
HenrikDK Wrote:Why are you running nightly builds then? If you're not interested in dealing with the problems nightly builds present then why not just use the official stable builds?

Just ignorance. I didn't know the difference between those builds. Now I know Big Grin

Quote:I can only speak from my own experience, but when i've updated xbmc on ubuntu or OSX i've never had a problem with loosing my settings, If i remember correctly theres are not stored in the application folder, but in the usual places applications store their settings. (ie. something like the paths listed on our trouble shooting page http://code.google.com/p/youtubexbmc/wik...oginIssues)

So, how should I proceed?
[] Install the latest version of XBMC without uninstalling the old one
[] Uninstall the old version and then install 10.1

Thanks.
Snowball Wrote:So, how should I proceed?
[] Install the latest version of XBMC without uninstalling the old one
[] Uninstall the old version and then install 10.1

Thanks.

It shouldn't really matter like i said you're settings should be saved somewhere else, so i would try installing on top of the old version first and if that fails just uninstalling and then reinstall, but the last option shouldn't really be necessary.
PantsOnFire Wrote:I don't like to be a stubborn so and so, but having to update your entire xbmc to get youtube working seems really silly.

For users who don't want to update their entire xbmc installation I have now packaged the latest version of the plugin and put it up on the plugins home page here
I did it.
I installed over the previous version.
At the beginnning I was not able to see any differences. After a few minutes some section updated. Youtube is now 2.0 as I was looking for.

One more question: where can I see the version I'm using? I cannot find this info in settings. Thanks!
I'm also getting this uncaught error on the official youtube one and the old beta one.

Running Dharma 10.1

Any ideas?
I have also updated to Dharma 10.1. I was using 1.8.1 version and I was also experiencing Uncaught error.

I have now updated YouTube plugin to 2.0.3 and the videos now play fine.

But I have noticed a problem when browsing the categories.

When I go to YouTube Categories, after that I can open only certain categories.
For example I can open categories Education and Sports, but most of other categories I cannot open (e.g. Comedy or Entertainment).
I just get the info with the following text: "Error []".

Is anyone else experiencing the same problem?
How did you update as there update option is faded out for me.

on 1.81
If I am not mistaken, the update option is usually faded when plugin is in system directory.
If the plugin is installed in home directory of the user (linux: /home/user/.xbmc/addons or windows: c:\Users\User\AppData\Roaming\xbmc\addons) you should be able to update if you are using new version of xbmc.

But I updated by manually copying the files to the addons folder.
podtalje Wrote:I have now updated YouTube plugin to 2.0.3 and the videos now play fine.

But I have noticed a problem when browsing the categories.

When I go to YouTube Categories, after that I can open only certain categories.
For example I can open categories Education and Sports, but most of other categories I cannot open (e.g. Comedy or Entertainment).
I just get the info with the following text: "Error []".

Is anyone else experiencing the same problem?

I can confirm that this is broken, seems YouTube recently changed the layout of their categories page so our scraper doens't work anymore.
It seems that the latest 4/1/2011 nightly for atv2 breaks add-ons.

Add-on will not even launch.
Heres the pastebin:
http://pastebin.com/pVDz9p4r
dtviewer Wrote:It seems that the latest 4/1/2011 nightly for atv2 breaks add-ons.

Add-on will not even launch.
Heres the pastebin:
http://pastebin.com/pVDz9p4r

1. Nightly's are not stable so you shouldn't expect add-on functionality to even work (ie. we can support every little build of xbmc people might make them selves)

2. This seems like an xbmc build problem, the python interpreter is basically complaining that its missing the "BeautifulSoup" library, which is needed, i suggest escalating this issue with Team XBMC.
Code:
15:28:49 T:147959808 M:133550080   ERROR: Error Contents: No module named BeautifulSoup